/// <reference types="knockout" />
import { FrameworkElement, FrameworkElementOptions } from "../../framework/frameworkElement/frameworkElement";
export declare class ComboBox<TItem> extends FrameworkElement {
    constructor(options?: ComboBoxOptions<TItem>);
    dataTextField: string;
    selectedValue: string | KnockoutObservable<string>;
    selectedValueFunction: (item: TItem) => string;
    selectedItem: TItem | KnockoutObservable<TItem>;
    items: Array<TItem> | KnockoutObservableArray<TItem>;
    onchange: (item: TItem) => void;
}
export interface ComboBoxOptions<TItem> extends FrameworkElementOptions {
    dataTextField?: keyof TItem;
    selectedValue?: string | KnockoutObservable<string>;
    selectedValueFunction?: (item: TItem) => string;
    selectedItem?: TItem | KnockoutObservable<TItem>;
    items?: Array<TItem> | KnockoutObservableArray<TItem>;
    onchange?: (item: TItem) => void;
}
